package lc.irc.bot.svc;

import lc.irc.bot.IrcBot;

/**
 * This Service runs an IRC chat-bot based on the OpenAI GPT service. The <code>OPENAI_TOKEN</code> environment
 * variable should be set to the OpenAI SDK token.
 *
 * @author Alex Leigh
 */
public class IrcBotService {
    private final static String ENV_OPENAI_TOKEN = "OPENAI_TOKEN";

    public static void main(String[] args) {
        String token = System.getenv(ENV_OPENAI_TOKEN);
        IrcBot v = new IrcBot(token);
        v.run();
    }
}
